#include "c2d2/chien2d2.h"

extern int estadoatual;
extern unsigned int botao_voltar;
extern unsigned int fonte32;
extern unsigned int spmira;

void TelaAjuda()//TELA DE AJUDA
{
	C2D2_Botao *teclas = C2D2_PegaTeclas();
    C2D2_Mouse *mouse = C2D2_PegaMouse();
    int voltar=0;
	C2D2_Sincroniza(C2D2_FPS_PADRAO);
    C2D2_TrocaCorLimpezaTela(180, 180, 180);
	do
	{
        if(teclas[C2D2_ESC].pressionado)
            estadoatual=1;
        if(C2D2_ColidiuSprites(spmira, 0, mouse->x, mouse->y, botao_voltar, 0, 555, 545))
            voltar=1;
        else
            voltar=0;
        if(mouse->botoes[C2D2_MESQUERDO].pressionado)
        {
            if(voltar==1)
                estadoatual=1;
        }
		C2D2_LimpaTela();
		C2D2_DesenhaTexto(fonte32, 10, 15, "Instructions:", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 50, "You need to find a key that opens a door (duh!).", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 80, "But it's not that simple...", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 110, "Things you see are not what you see (wat).", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 140, "The key you need can be a rock, a cat (nyan!), or even a key.", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 170, "It means that your key may or may not be a key.", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 200, "Oh, and there is a few doors to try out as well.", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 230, "You'll see (and hear) when you pick the right key/door", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 260, "but pay attention, the sound may be a little bit quiet...", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 300, "Controls:", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 335, "A/LeftKey: Go to the left.", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 365, "D/RightKey: Go to the right.", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 395, "W/UpKey: Try to open the door.", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 425, "S/DownKey: Try to pick up the item.", C2D2_TEXTO_ESQUERDA);
		C2D2_DesenhaTexto(fonte32, 10, 455, "Esc: Pause/Quit.", C2D2_TEXTO_ESQUERDA);
        C2D2_DesenhaSprite(botao_voltar, voltar, 530,530);
        C2D2_DesenhaSprite(spmira, 0, mouse->x, mouse->y);
		C2D2_Sincroniza(C2D2_FPS_PADRAO);
	}
	while(estadoatual==8);
}